##
 # This file is part of the Generic Data Structures Library (GDSL).
 # Copyright (C) 1998-2017 Nicolas Darnis <ndarnis@free.fr>.
 #
 # GDSL is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
 #
 # GDSL is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with GDSL.  If not, see <http://www.gnu.org/licenses/>. 
 #
 # $RCSfile$
 # $Revision$
 # $Date$
##

Name: gdsl
Summary: Generic Data Structures Library (GDSL)
Packager: Torsten Luettgert <t.luettgert@combox.de> & Nicolas Darnis <ndarnis@free.fr>
%define version     1.8
Version: %{version}
%define release     0
Release: %{release}
License: GPL
Vendor: The GDSL Team
Url: http://www.nongnu.org/%{name}/
#Copyright: Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012 The GDSL Team
Source: http://savannah.nongnu.org/download/gdsl/%{version}/%{name}-%{version}.tar.gz
Group: Development/Libraries
%define mybuildroot /var/tmp/%{name}-build
BuildRoot: %{mybuildroot}
%define _prefix     /usr/local
%define _mandir     %{_prefix}/man

%description
The Generic Data Structures Library (GDSL) is a collection of routines for generic data structures manipulation. It is a portable and re-entrant library fully written from scratch in pure ANSI C. It is designed to offer for C programmers common data structures with powerful algorithms, and hidden implementation. Available structures are lists, queues, stacks, hash-tables, binary trees, search binary trees, red-black trees, 2D arrays, permutations, heaps and interval heaps.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} \
    --libdir=%{_libdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc %{_prefix}/share/doc/*
%{_prefix}/bin/gdsl-config
%{_prefix}/lib
%{_prefix}/include/gdsl
%{_prefix}/include/gdsl.h
%{_prefix}/man

